Skip to content

List all attribute definitions in the project

GET
/api/v1/projects/{projectId}/schema/attributes
curl --request GET \
--url https://app.avera.io/api/v1/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/schema/attributes
projectId
required
string format: uuid

OK

Media type*/*
Array<object>
object
id
required
string
name
required
string
label
required
string
description
string | null
dataType
required
string
Allowed values: STRING TEXT INTEGER DECIMAL BOOLEAN DATE DATETIME ENUM USER_REFERENCE ROLE_REFERENCE ITEM_REFERENCE FILE_REFERENCE JSON PROMPT_LIST
unique
required
boolean
validation
string | null
enumValues
Array<string> | null
enumNumericValues
Array<integer> | null
formulaExpression
string | null
formulaDependencies
Array<string> | null
isDeleted
required
boolean